#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m;
    cin >> n >> m;

    int a[n+5];
    for(int i = 1; i <= n; i++) {
        cin >> a[i];
    }

    long long int res = 0;
    while(m--) {
        int x,y;
        cin >> x >> y;
        int prijatelji = a[x] + a[y];
        int neprijatelji = (a[x] + a[y])*(-1);
        res += max(prijatelji,neprijatelji);
    }
    cout << res;
    return 0;
}